@charset "UTF-8";
/*------------------------------------*\
    $CONTENTS
    用來定義變數用的
\*------------------------------------*/
/*
* BREAK-POINTS
* FONT
* COLOR
* LAYOUT-SETTING
*/
/*------------------------------------*\
    $BREAK-POINTS
\*------------------------------------*/
/*------------------------------------*\
    $FONT
\*------------------------------------*/
/*------------------------------------*\
    $COLOR
\*------------------------------------*/
/*------------------------------------*\
    $LAYOUT-SETTING
\*------------------------------------*/
/*------------------------------------*\
    $CONTENTS
    套用變數跟基底樣式
\*------------------------------------*/
/**
 * style-guide編寫參考：https://ithelp.ithome.com.tw/articles/10161666
 * CONTENTS............You're reading it!
 * RESET...............Set our reset defaults
 * ELEMENTS............針對特定元素調整樣式(顏色、字型、字體等等之類的）
 */
/*------------------------------------*\
    $RESET
\*------------------------------------*/
html,
body,
div,
span,
applet,
object,
iframe,
h1,
h2,
h3,
h4,
h5,
h6,
p,
blockquote,
pre,
a,
abbr,
acronym,
address,
big,
cite,
code,
del,
dfn,
em,
img,
ins,
kbd,
q,
s,
samp,
small,
strike,
strong,
sub,
sup,
tt,
var,
b,
u,
i,
center,
dl,
dt,
dd,
ol,
ul,
li,
fieldset,
form,
label,
legend,
table,
caption,
tbody,
tfoot,
thead,
tr,
th,
td,
article,
aside,
canvas,
details,
embed,
figure,
figcaption,
footer,
header,
hgroup,
menu,
nav,
output,
ruby,
section,
summary,
time,
mark,
audio,
video {
  margin: 0;
  padding: 0;
  border: 0;
  font-size: 100%;
  vertical-align: baseline;
  font-family: "Noto Sans TC", "PingFang", "Microsoft JhengHei", sans-serif;
}

/* HTML5 display-role reset for older browsers */
article,
aside,
details,
figcaption,
figure,
footer,
header,
hgroup,
menu,
nav,
section {
  display: block;
}

body {
  line-height: 1.5;
}

ol,
ul {
  list-style: none;
}

blockquote,
q {
  quotes: none;
}

blockquote:before,
blockquote:after,
q:before,
q:after {
  content: "";
  content: none;
}

table {
  border-collapse: collapse;
  border-spacing: 0;
}

/*------------------------------------*\
    $ELEMENTS
\*------------------------------------*/
/* p,
a,
span,
div {
  font-weight: 500;
  font-style: normal;
  font-stretch: normal;
  line-height: 1.54;
  letter-spacing: normal;
} */

li {
  list-style: none;
}

a {
  text-decoration: none;
}
a:hover {
  text-decoration: none;
}

img {
  display: block;
}

h1 {
  font-size: 2.5rem;
}

h2 {
  font-size: 2rem;
}

h3 {
  font-size: 1.75rem;
}

h4 {
  font-size: 1.5rem;
}

h5 {
  font-size: 1.25rem;
}

h6 {
  font-size: 1rem;
}

button,
button:focus,
[type="button"] {
  outline: none;
  box-shadow: none;
}

.layout-container {
  overflow-x: hidden;
}

body:not(.is-backgroundVisible) * {
  background-image: none !important;
}

.main-menu {
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  width: 100%;
  transition: all 0.3s;
  transform: translateY(-100%);
  z-index: 70;
  background-color: #2a2a2a;
  overflow: hidden;
}
@media (min-width: 768px) {
  .main-menu {
    z-index: 99;
    display: flex;
    justify-content: center;
    align-items: flex-start;
    padding: 8rem;
  }
}
@media (min-width: 768px) {
  .main-menu .region-primary-menu {
    width: 70%;
  }
}
.main-menu .region-primary-menu .text-image {
  display: none;
}
@media (min-width: 768px) {
  .main-menu .region-primary-menu .text-image {
    display: block;
    position: relative;
    width: 179px;
    height: 25px;
    margin: 0 auto;
  }
  .main-menu .region-primary-menu .text-image img {
    max-width: 100%;
  }
  .main-menu .region-primary-menu .text-image::before {
    content: "";
    display: block;
    position: absolute;
    left: -80px;
    bottom: -30px;
    width: 74px;
    height: 77px;
    object-fit: contain;
    background-image: url("../image/invalid-name@3x.png");
    background-position: center;
    background-size: contain;
    background-repeat: no-repeat;
  }
}
.main-menu.hs-open-menu {
  transform: translateY(63px);
}
@media (min-width: 768px) {
  .main-menu.hs-open-menu {
    transform: translateY(0px);
  }
  .main-menu.hs-open-menu .close {
    width: 34px;
    height: 35px;
    content: "";
    display: block;
    position: fixed;
    top: 69px;
    right: 64px;
    background-image: url("../image/icon/close@3x.png");
    background-size: contain;
  }
}

.slideshow-wrapper .item-list,
.baby-recommend-slideshow .item-list,
.ha3-slide .item-list {
  width: 100%;
}
.slideshow-wrapper .item-list img,
.baby-recommend-slideshow .item-list img,
.ha3-slide .item-list img {
  margin: 0;
  padding: 0;
  width: 100%;
  max-width: 100%;
  display: block;
}
.slideshow-wrapper .item-list a,
.baby-recommend-slideshow .item-list a,
.ha3-slide .item-list a {
  text-decoration: none;
}
.slideshow-wrapper .item-list ul,
.baby-recommend-slideshow .item-list ul,
.ha3-slide .item-list ul {
  margin: 0;
  padding: 0;
}
.slideshow-wrapper .item-list ul li,
.baby-recommend-slideshow .item-list ul li,
.ha3-slide .item-list ul li {
  list-style: none;
  margin: 0;
  padding: 0;
}
.slideshow-wrapper .item-list ul li p,
.baby-recommend-slideshow .item-list ul li p,
.ha3-slide .item-list ul li p {
  margin: 0px;
}
.slideshow-wrapper ul.slick-slider,
.baby-recommend-slideshow ul.slick-slider,
.ha3-slide ul.slick-slider {
  display: flex;
  justify-content: center;
  align-items: center;
  flex-wrap: wrap;
  margin: 0 auto;
}
.slideshow-wrapper ul.slick-slider li.slick-slide,
.baby-recommend-slideshow ul.slick-slider li.slick-slide,
.ha3-slide ul.slick-slider li.slick-slide {
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  flex-wrap: wrap;
  margin: 0 auto;
}
.slideshow-wrapper ul.slick-dots,
.baby-recommend-slideshow ul.slick-dots,
.ha3-slide ul.slick-dots {
  display: flex;
  justify-content: center;
  align-items: center;
  flex-basis: 100%;
  padding: 0;
}
.slideshow-wrapper ul.slick-dots li,
.baby-recommend-slideshow ul.slick-dots li,
.ha3-slide ul.slick-dots li {
  position: relative;
  padding: 0;
}
.slideshow-wrapper ul.slick-dots li button,
.baby-recommend-slideshow ul.slick-dots li button,
.ha3-slide ul.slick-dots li button {
  outline: none;
  border: none;
  font-size: 0;
  line-height: 0;
  display: block;
  width: 20px;
  height: 20px;
  padding: 5px;
  cursor: pointer;
  color: transparent;
  background: transparent;
  display: flex;
  justify-content: center;
  align-items: center;
}
.slideshow-wrapper ul.slick-dots li button::before,
.baby-recommend-slideshow ul.slick-dots li button::before,
.ha3-slide ul.slick-dots li button::before {
  transition: all 0.3s;
  content: "";
  display: block;
  font-size: 6px;
  line-height: 20px;
  height: 10px;
  width: 10px;
  border-radius: 50%;
  text-align: center;
  opacity: 1;
  background-color: #d9d9d9;
}
.slideshow-wrapper .swiper-button-prev,
.slideshow-wrapper .swiper-button-next,
.baby-recommend-slideshow .swiper-button-prev,
.baby-recommend-slideshow .swiper-button-next,
.ha3-slide .swiper-button-prev,
.ha3-slide .swiper-button-next {
  position: absolute;
  top: 45%;
  z-index: 1;
  margin: 0;
  padding: 0;
  border: none;
  outline: none;
  background: transparent;
  color: transparent;
  width: 24px;
  height: 24px;
  background-image: url("../images/arrow.png");
  background-repeat: no-repeat;
  background-position: center;
  background-size: contain;
  opacity: 0.7;
  transition: all 0.3s;
}
.slideshow-wrapper .swiper-button-prev:hover,
.slideshow-wrapper .swiper-button-next:hover,
.baby-recommend-slideshow .swiper-button-prev:hover,
.baby-recommend-slideshow .swiper-button-next:hover,
.ha3-slide .swiper-button-prev:hover,
.ha3-slide .swiper-button-next:hover {
  opacity: 1;
}
@media (min-width: 768px) {
  .slideshow-wrapper .swiper-button-prev,
  .slideshow-wrapper .swiper-button-next,
  .baby-recommend-slideshow .swiper-button-prev,
  .baby-recommend-slideshow .swiper-button-next,
  .ha3-slide .swiper-button-prev,
  .ha3-slide .swiper-button-next {
    height: 50px;
  }
}
@media (min-width: 1200px) {
  .slideshow-wrapper .swiper-button-prev,
  .slideshow-wrapper .swiper-button-next,
  .baby-recommend-slideshow .swiper-button-prev,
  .baby-recommend-slideshow .swiper-button-next,
  .ha3-slide .swiper-button-prev,
  .ha3-slide .swiper-button-next {
    width: 40px;
    height: 80px;
  }
}
.slideshow-wrapper .swiper-button-prev,
.baby-recommend-slideshow .swiper-button-prev,
.ha3-slide .swiper-button-prev {
  left: 15px;
  transform: rotate(-180deg);
}
.slideshow-wrapper .swiper-button-next,
.baby-recommend-slideshow .swiper-button-next,
.ha3-slide .swiper-button-next {
  right: 15px;
}
.slideshow-wrapper .swiper-pagination-bullets,
.baby-recommend-slideshow .swiper-pagination-bullets,
.ha3-slide .swiper-pagination-bullets {
  position: absolute;
  bottom: 14px;
  left: 0;
  right: 0;
  margin: 0 auto;
}
.slideshow-wrapper .swiper-pagination-bullets span,
.baby-recommend-slideshow .swiper-pagination-bullets span,
.ha3-slide .swiper-pagination-bullets span {
  opacity: 0.5;
  padding: 0;
  margin: 0 5px;
  width: 7px;
  height: 7px;
  background-color: #000;
  position: relative;
}
@media (min-width: 1200px) {
  .slideshow-wrapper .swiper-pagination-bullets span,
  .baby-recommend-slideshow .swiper-pagination-bullets span,
  .ha3-slide .swiper-pagination-bullets span {
    margin: 0 15px;
  }
}
@media (min-width: 1200px) {
  .slideshow-wrapper .swiper-pagination-bullets span,
  .baby-recommend-slideshow .swiper-pagination-bullets span,
  .ha3-slide .swiper-pagination-bullets span {
    width: 13px;
    height: 13px;
  }
}
.slideshow-wrapper .swiper-pagination-bullets span::before,
.baby-recommend-slideshow .swiper-pagination-bullets span::before,
.ha3-slide .swiper-pagination-bullets span::before {
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  margin: 0 auto;
  transition: all 0.3s;
}
.slideshow-wrapper
  .swiper-pagination-bullets
  span.swiper-pagination-bullet-active,
.baby-recommend-slideshow
  .swiper-pagination-bullets
  span.swiper-pagination-bullet-active,
.ha3-slide .swiper-pagination-bullets span.swiper-pagination-bullet-active {
  opacity: 1;
  background-color: #eadcff;
}

.homepage-swiper-container {
  min-height: 155vw;
}
@media (min-width: 768px) {
  .homepage-swiper-container {
    min-height: 55.8vw;
  }
}
